<?php
/*
 * Plugin Name: MihanWP ISO fix
 */
add_filter( 'woocommerce_currencies', 'add_mihanwp_IRR' );

function add_mihanwp_IRR( $currencies ) {
     $currencies['IRR'] = __( 'تومان میهن وردپرس', 'woocommerce' );
     return $currencies;
}

add_filter('woocommerce_currency_symbol', 'add_irr_currency_symbol', 10, 2);

function add_irr_currency_symbol( $currency_symbol, $currency ) {
     switch( $currency ) {
          case 'IRR': $currency_symbol = 'تومان'; break;
     }
     return $currency_symbol;
}
